Describe External Collection Refresh Job (V2)
This operation returns the current state and progress of a single external-collection refresh job, identified by jobId.
The base URL for this API is in the following format:
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
- Use the cluster endpoint if you are using serving clusters.
Free & Serverless
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password. If you are using a project endpoint, only a valid API key with sufficient permissions applies.
ID of the refresh job to describe. Obtain this value from the response of the refresh endpoint.
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/jobs/external_collection/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"jobId": 449503829274509300
}'
Response code.
Response payload describing the refresh job.
ID of the refresh job.
Name of the external collection associated with this refresh job.
Current state of the refresh job.
Refresh progress in percentage (0-100).
JSON-encoded source configuration this job is refreshing from. An object url in a Zilliz Cloud volume applies.
Unix timestamp at which the refresh job started.
Unix timestamp at which the refresh job ended; 0 when the job is still running.
Failure reason. Present only when state is RefreshFailed.
Returns an error message.
Response code.
Error message.
{
"code": 0,
"data": {
"jobId": 449503829274509300,
"collectionName": "ext_books",
"state": "RefreshInProgress",
"progress": 42,
"externalSource": "{\"type\":\"volume\",\"path\":\"volume://my-volume/books\"}",
"startTime": 1712832000000,
"endTime": 0
}
}